Bug 115542 - Disabling Master background still shows it in the slideshow
Summary: Disabling Master background still shows it in the slideshow
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Master-Pages
  Show dependency treegraph
 
Reported: 2018-02-08 10:02 UTC by Ahmed GHANMI
Modified: 2020-12-19 03:48 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Impress file noticed in the steps to reproduce this bug (351.23 KB, application/vnd.oasis.opendocument.presentation)
2018-02-08 10:05 UTC, Ahmed GHANMI
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ahmed GHANMI 2018-02-08 10:02:24 UTC
Description:
If you turn off Display Mask Background on a slide, it disappears on the slide. On the other hand in slideshow the background reappears.

Steps to Reproduce:
1.Open the Example.odp file ( i've attached the file)
2.Select on slide 2
3.Right click in the center of this slide 2
4.Choose Slide and uncheck Display background of master
5.press the Shift and F5 keys to display in slide show mode

Actual Results:  
4. In this slide you can not see the background image
5. If you press the Shift and F5 keys,you can not see the background image



Expected Results:
4. In this slide you can not see the bottom image OK 
5. If you press the Shift and F5 keys, the image is always present in slide show KO result


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 Ahmed GHANMI 2018-02-08 10:05:12 UTC
Created attachment 139690 [details]
Impress file noticed in the steps to reproduce this bug
Comment 2 Buovjaga 2018-02-26 17:12:33 UTC
Repro. It seems you gave the actual and expected results swapped. The actual result is "On the other hand in slideshow the background reappears."

Note that now you have to use the Sidebar properties deck for toggling the Master background.

Win 10
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735

Arch Linux 64-bit
Version: 6.1.0.0.alpha0+
Build ID: 40c33132cfa6582dfccf17e787f10dd4dbd0819d
CPU threads: 8; OS: Linux 4.15; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on February 24th 2018
Comment 3 Jean-Sebastien Bevilacqua 2018-05-25 11:08:12 UTC
Hello,

How much time is needed to fix this bug ?

Thanks,
Jean-Sébastien BEVILACQUA
Comment 4 Xisco Faulí 2018-12-18 15:31:15 UTC
Dear Ahmed GHANMI,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 5 QA Administrators 2020-12-19 03:48:44 UTC
Dear Ahmed GHANMI,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug